Download attachment
curl --request GET \
--url https://api.domo.com/v1/projects/{PROJECT_ID}/lists/{LIST_ID}/tasks/{TASK_ID}/attachments/{ATTACHMENT_ID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.domo.com/v1/projects/{PROJECT_ID}/lists/{LIST_ID}/tasks/{TASK_ID}/attachments/{ATTACHMENT_ID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.domo.com/v1/projects/{PROJECT_ID}/lists/{LIST_ID}/tasks/{TASK_ID}/attachments/{ATTACHMENT_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Projects and Tasks API
Download attachment
Downloads an individual attachment given an attachment id.
GET
/
v1
/
projects
/
{PROJECT_ID}
/
lists
/
{LIST_ID}
/
tasks
/
{TASK_ID}
/
attachments
/
{ATTACHMENT_ID}
Download attachment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the project
The ID of the list
The ID of the task
The ID of the attachment
Response
200
Returns the downloaded bytes of the attachment on the response body.
⌘I